package com.blueland.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.blueland.bo.DictEntity;
import com.blueland.model.TPfDict;

import java.util.List;
import java.util.Map;

/**
 * @auther xcy
 * @create 2022-05-09 9:48
 */
public interface IDictService extends IService<TPfDict> {

    Page<DictEntity> findDictPageListByParams(Map<String, Object> dict, int curPage, int pageSize);

    List<DictEntity> findDictList(Map<String, Object> maps);

    int saveDict(DictEntity dict);

    int deleteDictById(String id);

    int deleteDicts(String dictCode);

    List<DictEntity> findDictListByCache(String appId);

    List<DictEntity> findchildListByCache(String appId, String dictParentId);

    DictEntity findByCache(DictEntity param);

    Map<String, List<DictEntity>> findByParentcodesCache(String appId, List<String> parentcodes);

    List<DictEntity> findByIds(String[] ids);

    String splicing(DictEntity dictEntity);

    TPfDict get(DictEntity model);

    Page<DictEntity> findPage(DictEntity model);

    List<DictEntity> getDictList();

    List<DictEntity> getListByAppId(String appId);

    void deleteDictByAppId(String appId);
}
